Bug 72233 - gcc's -a option doesn't work
Summary: gcc's -a option doesn't work
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc   
(Show other bugs)
Version: 8.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-08-22 08:41 UTC by Tim Waugh
Modified: 2007-04-18 16:45 UTC (History)
0 users

Fixed In Version: 3.2.2-5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-05 16:09:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Tim Waugh 2002-08-22 08:41:17 UTC
Description of Problem: 
The -a option, documentated in the man page and in other places, isn't 
recognized. 
 
Version-Release number of selected component (if applicable): 
gcc-3.2-1 
 
How Reproducible: 
100% 
 
Steps to Reproduce: 
1. touch a.c 
2. gcc -g -pg -a -c a.c 
 
Actual Results: 
a.o containing basic block profiling information. 
 
Expected Results: 
cc1: unrecognized option `-a'

Comment 1 Jakub Jelinek 2002-08-22 09:39:20 UTC
-a was removed on purpose.
I'll apply
2002-08-14  Nathan Sidwell  <nathan@codesourcery.com>

        * doc/invoke.texi (-a): Remove documentation.
        (-fprofile-arcs): Remove reference to -a, -ax options.
        * doc/gcov.texi (Gcov Data Files): Data might be merged.

for the next gcc build, so that you no longer find it in documentation...

Comment 2 Tim Waugh 2002-08-22 09:42:40 UTC
It's also mentioned in the gprof info page.

Comment 3 Jakub Jelinek 2003-08-05 16:09:29 UTC
Should be fixed in gcc-3.2-2 and later.


Note You need to log in before you can comment on or make changes to this bug.